Searched refs:exp (Results 1 - 25 of 48) sorted by relevance

12

/ast/src/cmd/INIT/
H A Dm2.c30 int exp = 0; local
33 r |= ldexp(value, exp) != 0;
34 r |= frexp(value, &exp) != 0;
H A Dm3.c30 int exp = 0; local
33 r |= ldexpl(value, exp) != 0;
34 r |= frexpl(value, &exp) != 0;
/ast/src/lib/libast/uwin/
H A Dcbrt.c34 return(exp(log(x)/3.0));
/ast/src/lib/libast/port/
H A Dastmath.c45 int exp = 0; local
49 return ldexpl(value, exp) != 0;
52 return ldexp(value, exp) != 0;
55 return frexpl(value, &exp) != 0;
58 return frexp(value, &exp) != 0;
/ast/src/lib/libast/sfio/
H A Dsfdlen.c39 int exp; local
46 v = frexpl(v,&exp);
47 else exp = 0;
57 return 1 + sfulen(exp) + w;
H A D_sfputd.c40 int exp; local
60 v = frexpl(v,&exp);
61 else exp = 0;
63 /* code the sign of v and exp */
64 if((w = exp) < 0)
69 /* write out the signs and the exp */
H A Dsfgetd.c37 reg int p, sign, exp; local
43 if((sign = sfgetc(f)) < 0 || (exp = (int)sfgetu(f)) < 0)
73 v = ldexpl(v,(sign&02) ? -exp : exp);
/ast/src/cmd/ksh93/tests/
H A Dlocale.sh109 exp="6 2 6"
121 [[ $got == $exp ]] || err_exit "command wc LC_ALL default failed -- expected '$exp', got '$got'"
135 [[ $got == $exp ]] || err_exit "builtin wc LC_ALL default failed -- expected '$exp', got '$got'"
153 # exp LC_ALL LC_NUMERIC LANG
166 do exp=$1
181 got=$($SHELL -c "${T}print \$(( $exp ))" 2>&1)
182 [[ $got == $exp ]] || err_exit "${T} sequence failed -- expected '$exp', go
[all...]
H A Dtreemove.sh108 exp=$'(\n\ttypeset -C -a ar=(\n\t\t[5]=(\n\t\t\ta4=1\n\t\t)\n\t)\n)'
109 [[ $(print -v c) == "$exp" ]] || err_exit 'typeset -m "c.ar[5]=c.ar[4]" not working'
119 exp=$'(\n\ttypeset -C -a x=(\n\t\t[4]=(\n\t\t\t[5]=(\n\t\t\t\t[8]=(\n\t\t\t\t\tx_t field=(\n\t\t\t\t\t\thello=world\n\t\t\t\t\t)\n\t\t\t\t)\n\t\t\t)\n\t\t\t[6]=(\n\t\t\t\t[9]=(\n\t\t\t\t\tx_t field=(\n\t\t\t\t\t\thello=world\n\t\t\t\t\t)\n\t\t\t\t)\n\t\t\t)\n\t\t)\n\t)\n)'
120 [[ $(print -v c) == "$exp" ]] || err_exit "typeset -m c.x[4][6][9].field=x where x is a type is not working"
134 exp=$'(\n\t[4]=(\n\t\taa=1\n\t)\n)'
135 [[ $(print -v ar) == "$exp" ]] || err_exit 'typeset -m dest=src where dest and src are name references fails'
151 exp=$'(\n\ttypeset -C -a board=(\n\t\t[1]=(\n\t\t\t(\n\t\t\t\tid=pawn\n\t\t\t)\n\t\t\t(\n\t\t\t\tid=pawn\n\t\t\t)\n\t\t)\n\t)\n)'
152 [[ $(print -v c) == "$exp" ]] || exit 1
H A Dsigchld.sh84 exp='running=0 maxrunning='$jobmax
85 [[ $got == $exp ]] || err_exit "SIGCHLD trap queueing failed -- expected '$exp', got '$got'"
108 exp='c\nc 3 3\nb\nb 2 2\na\na 1 1'
109 [[ $got == $exp ]] || err_exit "SIGCHLD trap queueing failed -- expected $(printf %q "$exp"), got $(printf %q "$got")"
H A Dcubetype.sh57 exp=3 got=${b.x}
58 [[ "$got" == "$exp" ]] || err_exit "\${b.x} incorrect for iteration $i -- expected $exp, got '$got'"
59 exp=5 got=$(( b.len ))
60 (( got == exp )) || err_exit "b.len incorrect for iteration $i -- expected $exp, got '$got = sqrt(${b.x}*${b.x}+${b.y}*${b.y})'"
61 exp=5 got=${b.len}
62 [[ "$got" == "$exp" ]] || err_exit "\${b.len} incorrect for iteration $i -- expected $exp, got '$got = sqrt(${b.x}*${b.x}+${b.y}*${b.y})'"
63 exp
[all...]
H A Dappend.sh89 exp='typeset -a x=(a b c d)'
90 [[ $(typeset -p x) == "$exp" ]] || err_exit 'append (c d) to index array not working'
94 exp='typeset -a arr=(a\=b b\=c c\=d d\=e)'
95 [[ $(typeset -p arr) == "$exp" ]] || err_exit 'append (c=d d=e) to index array not working'
97 exp='typeset -a z=(a\=b b\=c d\=3 e f\=l)'
100 [[ $(typeset -p z) == "$exp" ]] || err_exit 'append (d=3 e f=l) to index array not working'
103 exp='typeset -a arr2=(b\=c :)'
106 [[ $(typeset -p arr2) == "$exp" ]] || err_exit 'append (b=c :) to index array not working'
109 exp='typeset -a arr2=(b\=c xxxxx)'
114 [[ $(typeset -p arr2) == "$exp" ]] || err_exi
[all...]
H A Dcoprocess.sh114 exp=Done
115 print -p $'print hello | '$cat$'\nprint '$exp
119 if [[ $got != $exp ]]
120 then err_exit "${SHELL-ksh} $cat coprocess io failed -- got '$got', expected '$exp'"
220 exp=hi
221 print -u6 $exp; read -u5
222 [[ $REPLY == "$exp" ]] || err_exit "REPLY from $cat coprocess failed -- expected '$exp', got '$REPLY'"
258 exp=ksh
264 [[ $got == $exp ]] || err_exi
[all...]
H A Dpath.sh166 do exp="$cmd found"
167 print print $exp > $cmd
170 [[ $got == $exp ]] && err_exit "$cmd as last command should not find ./$cmd with PATH=/dev/null"
172 [[ $got == $exp ]] && err_exit "$cmd should not find ./$cmd with PATH=/dev/null"
173 exp=$PWD/./$cmd
175 [[ $got == $exp ]] || err_exit "whence $cmd should find ./$cmd with PATH=/dev/null"
176 exp=$PWD/$cmd
178 [[ $got == $exp ]] || err_exit "whence \$PWD/$cmd should find ./$cmd with PATH=/dev/null"
181 exp=''
183 [[ $got == $exp ]] || err_exi
[all...]
H A Dsubshell.sh167 exp=$3
174 elif [[ "$got" != "$exp" ]]
175 then EXP=$(printf %q "$exp")
259 exp=0
266 exit '$exp$'
269 [[ $got == $exp ]] || err_exit "getopts --man runtime callout with nonzero exit terminates shell -- expected '$exp', got '$got'"
270 exp=ok
277 print '$exp$'
279 [[ $got == $exp ]] || err_exi
[all...]
H A Dleaks.sh63 for exp in 65535 65536
64 do got=$($SHELL -c 'x=$(printf "%.*c" '$exp' x); print ${#x}' 2>&1)
65 [[ $got == $exp ]] || err_exit "large command substitution failed -- expected $exp, got $got"
H A Dio.sh62 exp=foo
63 if [[ $line != $exp ]]
64 then err_exit "read on <> fd failed -- expected '$exp', got '$line'"
85 exp='foo|bar'
91 [[ $semantics == @(${FDFS[fdfs].semantics}) ]] || err_exit "'4< ${FDFS[fdfs].dir}/3' $semantics semantics instead of ${FDFS[fdfs].semantics} -- expected '$exp', got '$got'"
103 exp='1234|4'
109 [[ $semantics == @(${FDFS[fdfs].semantics}) ]] || err_exit "${FDFS[fdfs].dir}/N $semantics semantics instead of ${FDFS[fdfs].semantics} -- expected '$exp', got '$got'"
346 exp=a
348 [[ $got == "$exp" ]] || err_exit "read -n3 from fifo failed -- expected '$exp', go
[all...]
H A Dcomvar.sh353 exp='(
372 [[ $got == "$exp" ]] || {
373 exp=$(printf %q "$exp")
375 err_exit "compound indexed array pretty print failed -- expected $exp, got $got"
386 exp=$'(\n\ttypeset -a x=(\n\t\t[1]=(\n\t\t\tX=1\n\t\t)\n\t)\n)'
388 [[ $got == "$exp" ]] || {
389 exp=$(printf %q "$exp")
391 err_exit "compound indexed array pretty print failed -- expected $exp, go
[all...]
H A Dbuiltins.sh190 exp=$'trap -- \'print TERM\' TERM\ntrap -- \'cd /; rm -rf '$tmp$'\' EXIT'
192 [[ $got == $exp ]] || err_exit "\$(trap) failed -- expected \"$exp\", got \"$got\""
193 exp='print TERM'
195 [[ $got == $exp ]] || err_exit "\$(trap -p TERM) failed -- expected \"$exp\", got \"$got\""
321 exp=a
322 if [[ $y != $exp ]]
323 then err_exit "read -n1 failed -- expected '$exp', got '$y'"
425 exp
[all...]
H A Dnameref.sh539 exp=$(print -v l)
544 [[ $(print -v l) == "$exp" ]] || err_exit 'nameref l4=l[4] not working'
549 [[ $(print -v l) == "$exp" ]] || err_exit 'nameref l46=l[4][6] not working'
551 exp=$'(\n\t[4]=(\n\t\ttypeset -a ar=(\n\t\t\t1\n\t\t\t2\n\t\t)\n\t\tb=1\n\t)\n)'
557 [[ $(print -v l) == "$exp" ]] || err_exit 'nameref l4=l[4] not working with indexed array read'
564 [[ $(print -v l) == "$exp" ]] || err_exit 'nameref l4=l[4] not working with associative array read'
566 exp=$'(\n\t[9]=(\n\t\tfish=4\n\t)\n)'
577 [[ $(print -v local_tree) == "$exp" ]] || err_exit 'do_local_plain failed'
583 [[ $(print -v tr) == "$exp" ]] || err_exit 'do_global_throughnameref failed'
590 [[ $(print -v tr) == "$exp" ]] || err_exi
[all...]
H A Doptions.sh386 then exp=10
387 got=$(for((n=1;n<exp;n++))do $SHELL --pipefail -c '(sleep 0.1;false)|true|true' && break; done; print $n)
388 [[ $got == $exp ]] || err_exit "--pipefail -c '(sleep 0.1;false)|true|true' fails with exit status 0 (after $got/$exp iterations)"
404 exp='1212 or 1221'
416 [[ $got == @((12|21)(12|21)) ]] || err_exit "& job delayed by --pipefail, expected '$exp', got '$got'"
437 exp=$(HISTFILE=$histfile $SHELL -c $'function foo\n{\ncat\n}\ntype foo')
441 [[ $got == "$exp" ]] || err_exit "function definition inside (...) with $var unset fails -- got '$got', expected '$exp'"
444 [[ $got == "$exp" ]] || err_exi
[all...]
H A Dquoting2.sh211 exp='ac'
213 [[ $got == "$exp" ]] || err_exit "\$'a\\0b'c expansion failed -- expected '$exp', got '$got'"
/ast/src/lib/libtksh/src/
H A Dlist.c271 TkshRegExp *exp = &regexp;
282 exp->re = fmtmatch(npattern);
283 if (!exp->re)
290 exp->re ++;
291 exp->re[strlen(exp->re)-1] = 0;
293 dprintf(("Compiled %s to %s then %s\n", pattern,npattern,exp->re));
297 return (Tcl_RegExp) exp;
303 TkshRegExp *exp = (TkshRegExp *) regexp;
305 exp
[all...]
/ast/src/cmd/3d/
H A D3d.sh295 exp=
308 exp="$exp LD_PRELOAD=$version"
315 exp="$exp _RLD${a}_LIST=$d/$v:DEFAULT"
321 then exp="$exp _RLD64_LIST=$version:DEFAULT _RLDN32_LIST=$version-n32.$s:DEFAULT _RLD_LIST=${v}-o32.$s:DEFAULT"
323 then exp="$exp _RLD64_LIST=$version-64.$s:DEFAULT _RLDN32_LIST=$version:DEFAULT _RLD_LIST=${v}-o32.$s:DEFAULT"
324 else exp
[all...]
/ast/src/lib/libtksh/include/
H A DtclInt.h76 EXTERN regexp *TclRegComp _ANSI_ARGS_((char *exp));

Completed in 33 milliseconds

12